"""Constants and config to be used by the analyzer."""
from __future__ import annotations

LICENSE_FILES = [
    "LICENSE",
    "LICENSE.md",
    "LICENSE.txt",
    "COPYRIGHT",
    "COPYING",
    "COPYING.md",
    "LICENSE.textile",
    "COPYING.textile",
    "LICENSE-MIT",
    "COPYING-MIT",
    "MIT-LICENSE-MIT",
    "MIT-COPYING",
    "OFL.md",
    "OFL.textile",
    "OFL",
    "OFL.txt",
    "PATENTS",
    "PATENTS.txt",
    "WTFPL",
    "UNLICENSE",
]
REQ_FILES = {
    "python": [
        "poetry.toml",
        "pyproject.toml",
        "setup.cfg",
        "setup.py",
        "requirements.txt",
        # "pipfile. lock",
        "pipfile",
    ],
    "javascript": [
        "package.json",
    ],
    "go": ["go.mod"],
    "cs": [".nuspec"],
    "php": ["composer.json"],
    "rust": [
        "Cargo.toml",
        # "Cargo.lock"
    ],
}
LICENSE_DICT: dict = {
    "AFL": "Academic Free License",
    "Apache": "Apache Software License",
    "Apple": "Apple Public Source License",
    "Artistic": "Artistic License",
    "AAL": "Attribution Assurance License",
    "Bittorrent": "Bittorrent Open Source License",
    "Boost Software License": "Boost Software License",
    "BSD 2-Clause": "BSD 2-Clause License",
    "BSD 3-Clause": "BSD 3-Clause License",
    "BSD 4-Clause": "BSD 4-Clause License",
    "BSD Zero Clause License": "BSD Zero Clause license",
    "CeCILL": "CeCILL Free Software License",
    "CDDL": "Common Development and Distribution License",
    "Creative Commons Attribution 4.0": "Creative Commons Attribution 4.0 International Public License",
    "Creative Commons Attribution-ShareAlike 4.0": "Creative Commons Attribution-ShareAlike 4.0 International Public "
    "License",
    "CC0": "Creative Commons Legal Code",
    "Clear BSD": "Clear BSD License",
    "DO WHAT THE": "Do What The F*ck You Want To Public License",
    "Eclipse Public License": "Eclipse Public License",
    "Educational Community License": "Educational Community License",
    "Eiffel": "Eiffel Forum License",
    "EUPL": "European Union Public License",
    "AGPL": "GNU Affero General Public License",
    "GNU General Public License": "GNU General Public License",
    "Lesser General Public License": "GNU Lesser General Public License",
    "HPND": "Historical Permission Notice and Disclaimer",
    "IBM Public License": "IBM Public LIcense",
    "Intel Open Source License": "Intel Open Source License",
    "ISC License": "ISC License",
    "LaTeX Project Public License": "LaTeX Project Public License",
    "Ms-PL": "Microsoft Public License",
    "Ms-RL": "Microsoft Reciprocal License",
    "MirOS": "MirOS License",
    "MIT License": "MIT License",
    "MIT No Attribution": "MIT No Attribution",
    "Mozilla Public License": "Mozilla Public License",
    "MulanPSL2": "Mulan Permissive Software License",
    "Netizen": "Netizen Open Source License",
    "Netscape Public License": "Netscape Public License",
    "Nokia Open Source License": "Nokia Open Source License",
    "ODbL": "Open Database License",
    "Open Data Commons Attribution License": "Open Data Commons Attribution License",
    "Open Software License": "Open Software License",
    "PostgreSQL License": "PostgreSQL License",
    "Python Software Foundation License": "Python Software Foundation License",
    "Python License": "Python License",
    "Public Domain": "Public Domain",
    "Q Public License": "Q Public License",
    "RealNetworks Public License": "RealNetworks Public License",
    "Repoze": "Repoze Public License",
    "SIL Open Font License": "SIL Open Font License",
    "Sleepycat": "Sleepycat License",
    "Sun Public License": "Sun Public License",
    "Watcom": "Sybase Open Watcom Public License",
    "Universal Permissive License": "Universal Permissive License",
    "NCSA": "University of Illinois/NCSA Open Source License",
    "unlicense": "Unlicense",
    "VIM LICENSE": "VIM License",
    "Vovida": "Vovida Software License",
    "W3C License": "W3C License",
    "X.Net License": "X.Net License",
    "zlib Licenqs": "zlib License",
    "Zope": "Zope Public License",
}
DEP_FIELDS_MISSED: dict = {
    "go": {
        "mod": ["import_name", "pkg_lic"],
    },
    "javascript": {
        "json": ["import_name", "pkg_err"],
        "lock": [
            "import_name",
            "lang_ver",
            "pkg_name",
            "pkg_ver",
            "pkg_lic",
            "pkg_err",
        ],
    },
    "python": {
        "py": [],
        "toml": [],
        "cfg": [],
        "txt": ["import_name", "lang_ver", "pkg_name", "pkg_ver", "pkg_lic", "pkg_err"],
    },
}
